<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/migration71.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'es',
  ),
  'this' => 
  array (
    0 => 'migration71.incompatible.php',
    1 => 'Cambios retroincompatibles',
  ),
  'up' => 
  array (
    0 => 'migration71.php',
    1 => 'Migraci&oacute;n de PHP 7.0.x a PHP 7.1.x',
  ),
  'prev' => 
  array (
    0 => 'migration71.constants.php',
    1 => 'Nuevas constantes globales',
  ),
  'next' => 
  array (
    0 => 'migration71.deprecated.php',
    1 => 'Caracter&iacute;sticas obsoletas en PHP 7.1.x',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'es',
    'path' => 'appendices/migration71/incompatible.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="migration71.incompatible" class="sect1">
 <h2 class="title">Cambios retroincompatibles</h2>
 
 <div class="sect2" id="migration71.incompatible.too-few-arguments-exception">
  <h3 class="title">Lanzamiento de una excepción al pasar muy pocos argumentos a una función</h3>
  
  <p class="para">
   Anteriormente se emitía una advertencia al invocar funciones definidas por el usuario
   con muy pocos argumentos. Ahora, esta advertencia ha sido promovida a una excepción de tipo
   Error. Este cambio solamente se aplica a funciones definidas por el usuario, no a funciones
   internas. Por ejemplo:
  </p>
  
  <div class="informalexample">
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">function </span><span style="color: #0000BB">test</span><span style="color: #007700">(</span><span style="color: #0000BB">$param</span><span style="color: #007700">){}<br /></span><span style="color: #0000BB">test</span><span style="color: #007700">();</span></span></code></div>
   </div>

   <p class="para">El resultado del ejemplo
sería algo similar a:</p>
   <div class="example-contents screen">
<div class="cdata"><pre>
Fatal error: Uncaught ArgumentCountError: Too few arguments to function test(), 0 passed in %s on line %d and exactly 1 expected in %s:%d
</pre></div>
   </div>
  </div>
 </div>
 
 <div class="sect2" id="migration71.incompatible.forbid-dynamic-calls-to-scope-introspection-functions">
  <h3 class="title">Prohibición de llamadas dinámicas a funciones de introspección de alcance</h3>
  
  <p class="para">
   Se han prohibido las llamadas dinámicas a ciertas funciones (de la forma
   <code class="literal">$func()</code> o <code class="literal">array_map(&#039;extract&#039;, ...)</code>,
   etc.). Estas funciones bien inspeccionan o modifican otro ámbito, presentando
   así un comportamiento ambiguo y poco fiable. Las funciones son las siguientes:
  </p>
  
  <ul class="itemizedlist">
   <li class="listitem">
    <span class="simpara">
     <span class="function"><strong>assert()</strong></span> - con una cadena como primer argumento
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.compact.php" class="function">compact()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.extract.php" class="function">extract()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.func-get-args.php" class="function">func_get_args()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.func-get-arg.php" class="function">func_get_arg()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.func-num-args.php" class="function">func_num_args()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.get-defined-vars.php" class="function">get_defined_vars()</a></span>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.mb-parse-str.php" class="function">mb_parse_str()</a></span> - con un argumento
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <span class="function"><a href="function.parse-str.php" class="function">parse_str()</a></span> - con un argumento
    </span>
   </li>
  </ul>
  
  <div class="informalexample">
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">(function () {<br />    </span><span style="color: #0000BB">$func </span><span style="color: #007700">= </span><span style="color: #DD0000">'func_num_args'</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$func</span><span style="color: #007700">();<br />})();</span></span></code></div>
   </div>

   <p class="para">El resultado del ejemplo sería:</p>
   <div class="example-contents screen">
<div class="cdata"><pre>
Warning: Cannot call func_num_args() dynamically in %s on line %d
</pre></div>
   </div>
  </div>
 </div>
 
 <div class="sect2" id="migration71.incompatible.invalid-class-names">
  <h3 class="title">Nombres de clases, interfaces o rasgos no válidos</h3>
  
  <p class="para">
   Los siguientes nombres no se pueden usar como nombres de clases, interfaces o rasgos:
  </p>
  
  <ul class="itemizedlist">
   <li class="listitem">
    <span class="simpara"><span class="type"><span class="type"><a href="language.types.void.php" class="type void">void</a></span></span></span>
   </li>
   <li class="listitem">
    <span class="simpara"><span class="type"><a href="language.types.iterable.php" class="type iterable">iterable</a></span></span>
   </li>
  </ul>
 </div>
 
 <div class="sect2" id="migration71.incompatible.numerical-strings-scientific-notation">
  <h3 class="title">Las conversiones de cadenas numéricas ahora respetan la notación científica</h3>
  
  <p class="para">
   Las operaciones y conversiones de enteros en cadenas de numéricas ahora respetan
   la notación científica. Esto también incluye la operación &#039;cast&#039; a <code class="literal">(int)</code>
   y l as siguientes funciones: <span class="function"><a href="function.intval.php" class="function">intval()</a></span> (donde
   la base es 10), <span class="function"><a href="function.settype.php" class="function">settype()</a></span>, <span class="function"><a href="function.decbin.php" class="function">decbin()</a></span>,
   <span class="function"><a href="function.decoct.php" class="function">decoct()</a></span>, y <span class="function"><a href="function.dechex.php" class="function">dechex()</a></span>.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.fixes-to-mt_rand-algorithm">
  <h3 class="title">Correcciones al algoritmo <span class="function"><a href="function.mt-rand.php" class="function">mt_rand()</a></span></h3>
  
  <p class="para">
   <span class="function"><a href="function.mt-rand.php" class="function">mt_rand()</a></span> ahora utilizará predeterminadamente la versión corregida
   del algoritmo Mersenne Twister. Si se confiaba en la salida 
   determinista de <span class="function"><a href="function.mt-srand.php" class="function">mt_srand()</a></span>, la constante
   <strong><code><a href="random.constants.php#constant.mt-rand-php">MT_RAND_PHP</a></code></strong> con la capacidad de preservar la implementación
   antigua (incorrecta) mediante un segundo parámetro opcional adicional a
   <span class="function"><a href="function.mt-srand.php" class="function">mt_srand()</a></span>.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.rand-srand-aliases">
  <h3 class="title">
   <span class="function"><a href="function.rand.php" class="function">rand()</a></span> es un alias de <span class="function"><a href="function.mt-rand.php" class="function">mt_rand()</a></span> y
   <span class="function"><a href="function.srand.php" class="function">srand()</a></span> de <span class="function"><a href="function.mt-srand.php" class="function">mt_srand()</a></span>
  </h3>
  
  <p class="para">
   <span class="function"><a href="function.rand.php" class="function">rand()</a></span> y <span class="function"><a href="function.srand.php" class="function">srand()</a></span> ahora son alias de
   <span class="function"><a href="function.mt-rand.php" class="function">mt_rand()</a></span> y <span class="function"><a href="function.mt-srand.php" class="function">mt_srand()</a></span>,
   respectivamente. Esto significa que la salida de las siguientes funciones ha
   cambiado: <span class="function"><a href="function.rand.php" class="function">rand()</a></span>, <span class="function"><a href="function.shuffle.php" class="function">shuffle()</a></span>,
   <span class="function"><a href="function.str-shuffle.php" class="function">str_shuffle()</a></span>, y <span class="function"><a href="function.array-rand.php" class="function">array_rand()</a></span>.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.delete-control-character-in-identifiers">
  <h3 class="title">Rechazar el caracter de control de borrado ASCII en identificadores</h3>
  
  <p class="para">
   El caracter de control de borrado ASCII (<code class="literal">0x7F</code>) ya no se puede
   usar en identificadores que no estén entrecomillados.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.error_log-syslog">
  <h3 class="title">
   <code class="parameter">error_log</code> cambia con el valor
   <code class="literal">syslog</code>
  </h3>
  
  <p class="para">
   Si el ajuste ini de <code class="parameter">error_log</code> se establece a
   <code class="literal">syslog</code>, los niveles de error de PHP se corresponden con los
   niveles de error de syslog. Esto ofrece un mayor diferenciación en los registros
   de errores, al contrario que el enfoque anterior, donde todos los errores eran registrados
   con el nivel &#039;notice&#039; solamente.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.dont-call-destructors">
  <h3 class="title">No invocar a destructores en objetos incompletos</h3>
  
  <p class="para">
   Ahora, los destructores nunca son invocados en objetos que lanzan una excepción durante
   la ejecución de su constructor. En versiones anteriores, este comportamiento
   dependía de si al objeto se le hacía referencia fuera del constructor (p.ej.,
   mediante el rastreo de una excepción).
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.call_user_func-with-ref-args">
  <h3 class="title">
   Manejo de <span class="function"><a href="function.call-user-func.php" class="function">call_user_func()</a></span> de argumentos de referencia
  </h3>
  
  <p class="para">
   <span class="function"><a href="function.call-user-func.php" class="function">call_user_func()</a></span> ahora generará siempre una advertencia
   al llamar a funciones que esperan referencias como argumentos. Anteriormente
   esto dependía de si la llamada era totalmente cualificada.
  </p>
  <p class="para">
   Además, <span class="function"><a href="function.call-user-func.php" class="function">call_user_func()</a></span> y
   <span class="function"><a href="function.call-user-func-array.php" class="function">call_user_func_array()</a></span> ya no abortarán la llamada a
   la función es este caso. La advertencia de &quot;expected reference&quot; (se esperaba una referencia)
   será emitida, aunque la llamada procederá como siempre.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.empty-string-index-operator">
  <h3 class="title">
   El operador de índice vacío ya no se admite más para cadenas
  </h3>
  
  <p class="para">
   La aplicación del operador de índice vacío a una cadena (p.ej. <code class="literal">$str[] = $x</code>)
   lanza un error fatal en lugar de convertirla a un array silenciosamente.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.removed-ini-directives">
  <h3 class="title">Directivas ini eliminadas</h3>
  
  <p class="para">
   Las siguientes directivas ini han sido eliminadas:
  </p>
  
  <ul class="itemizedlist">
   <li class="listitem">
    <span class="simpara">
     <code class="parameter">session.entropy_file</code>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <code class="parameter">session.entropy_length</code>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <code class="parameter">session.hash_function</code>
    </span>
   </li>
   <li class="listitem">
    <span class="simpara">
     <code class="parameter">session.hash_bits_per_character</code>
    </span>
   </li>
  </ul>
 </div>
 
 <div class="sect2" id="migration71.incompatible.array-order">
  <h3 class="title">
   Cambio en la ordenación de arrays cuando los elementos son creados automáticamente durante
   asignaciones por referencia
  </h3>
  
  <p class="para">
   El orden de los elementos de un array ha cambiado cuando estos elementos han
   sido creados automáticamente mediante una asignación por referencia.
   Por ejemplo:
  </p>
  
  <div class="informalexample">
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$array </span><span style="color: #007700">= [];<br /></span><span style="color: #0000BB">$array</span><span style="color: #007700">[</span><span style="color: #DD0000">"a"</span><span style="color: #007700">] =&amp; </span><span style="color: #0000BB">$array</span><span style="color: #007700">[</span><span style="color: #DD0000">"b"</span><span style="color: #007700">];<br /></span><span style="color: #0000BB">$array</span><span style="color: #007700">[</span><span style="color: #DD0000">"b"</span><span style="color: #007700">] = </span><span style="color: #0000BB">1</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$array</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <p class="para">Salida del ejemplo anterior en PHP 7.0:</p>
   <div class="example-contents screen">
<div class="cdata"><pre>
array(2) {
  [&quot;a&quot;]=&gt;
  &amp;int(1)
  [&quot;b&quot;]=&gt;
  &amp;int(1)
}
</pre></div>
   </div>
   <p class="para">Salida del ejemplo anterior en PHP 7.1:</p>
   <div class="example-contents screen">
<div class="cdata"><pre>
array(2) {
  [&quot;b&quot;]=&gt;
  &amp;int(1)
  [&quot;a&quot;]=&gt;
  &amp;int(1)
}
</pre></div>
   </div>
  </div>
 </div>
 
 <div class="sect2" id="migration71.incompatible.sort-order">
  <h3 class="title">Ordenación de elementos iguales</h3>
  <p class="para">
   El algoritmo de ordenación interno se ha mejorado, lo que podría resultar en
   una ordenación diferente de los elementos que se comparan como iguales.
  </p>
  <blockquote class="note"><p><strong class="note">Nota</strong>: 
   <p class="para">
    No confíe en el orden de elementos que se comparan como iguales; podría cambiar
    en cualquier momento.
   </p>
  </p></blockquote>
 </div>
 
 <div class="sect2" id="migration71.incompatible.e-recoverable">
  <h3 class="title">Mensaje de error para los errores E_RECOVERABLE</h3>
  <p class="para">
   El mensaje de error para errores E_RECOVERABLE ha cambiado de &quot;Catchable
   fatal error&quot; a &quot;Recoverable fatal error&quot;.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.unserialize">
  <h3 class="title">Parámetro $options de unserialize()</h3>
  <p class="para">
   El elemento <code class="literal">allowed_classes</code> del parámetro $options de
   <span class="function"><a href="function.unserialize.php" class="function">unserialize()</a></span> ahora está estrictamente tipificado, es decir, si
   se da un valor distinto a un <span class="type"><a href="language.types.array.php" class="type array">array</a></span> o un <span class="type"><a href="language.types.boolean.php" class="type boolean">boolean</a></span>,
   unserialize() devuelve <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> y emite un <strong><code><a href="errorfunc.constants.php#constant.e-warning">E_WARNING</a></code></strong>.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.datetime-microseconds">
  <h3 class="title">DateTime constructor incorporates microseconds</h3>
  <p class="para">
   <span class="classname"><a href="class.datetime.php" class="classname">DateTime</a></span> y <span class="classname"><a href="class.datetimeimmutable.php" class="classname">DateTimeImmutable</a></span>
   ahora incorporan adecuadamente microsegundos al ser construidos desde el momento actual,
   ya sea explícitamente o con una cadena relativa(p.ej., <code class="literal">&quot;first day of next
   month&quot;</code>). Esto significa que la simple comparación de dos instancias recién
   creadas ahora probablemente devuelva <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> en lugar de <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>:
   <div class="informalexample">
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">new </span><span style="color: #0000BB">DateTime</span><span style="color: #007700">() == new </span><span style="color: #0000BB">DateTime</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

   </div>
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.fatal-errors-to-error-exceptions">
  <h3 class="title">Conversión de errores fatales a excepciones <span class="classname"><a href="class.error.php" class="classname">Error</a></span></h3>
  <p class="para">
   En la extensión Date, los datos de serialización inválidos para las
   clases <span class="classname"><a href="class.datetime.php" class="classname">DateTime</a></span> o <span class="classname"><a href="class.dateperiod.php" class="classname">DatePeriod</a></span>,
   o el fallo de inicialización de una zona horaria desde datos serializados, ahora lanzarán
   una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> desde los métodos
   <span class="methodname"><strong>__wakeup()</strong></span> o <span class="methodname"><strong>__set_state()</strong></span>,
   en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión DBA, las funciones que modifican datos (como
   <span class="function"><a href="function.dba-insert.php" class="function">dba_insert()</a></span>) ahora lanzarán una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de emitir un error fatal
   capturable si la clave no contiene exactamente dos elementos.
  </p>
  
  <p class="para">
   En la extensión DOM, un esquema inválido o contextos de validación RelaxNG ahora
   lanzarán una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un
   error fatal. De manera similar, el intento de registrar una clase nodo que no
   extienda la clase base apropiada, o el intento de leer una propiedad inválida
   o escribir en una propiedad de solo lectura, también lanzará una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span>.
  </p>
  
  <p class="para">
   En la extensión IMAP, las direcciones de correo electrónica mayores de 16385 bytes lanzarán una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión Intl, el fallo al invocar al constructor padre en una clase que
   extiende <span class="classname"><a href="class.collator.php" class="classname">Collator</a></span> antes de invocar a los métodos padres
   ahora lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un
   error fatal recuperable. También, clonar un
   objeto <span class="classname"><a href="class.transliterator.php" class="classname">Transliterator</a></span> ahora lanzará una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en caso de fallo al clonar el transliterador
   interno en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión LDAP, proporcionar un tipo de modificación desconocido a
   <span class="function"><strong>ldap_batch_modify()</strong></span> ahora lanzará una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión bstring, las funciones <span class="function"><a href="function.mb-ereg.php" class="function">mb_ereg()</a></span> y
   <span class="function"><a href="function.mb-eregi.php" class="function">mb_eregi()</a></span> ahora lanzarán una
   excepción <span class="classname"><a href="class.parseerror.php" class="classname">ParseError</a></span> si se proporciona una expresión de
   PHP inválida y se emplea la opción &#039;e&#039;.
  </p>
  
  <p class="para">
   En la extensión Mcrypt, las funciones <span class="function"><a href="function.mcrypt-encrypt.php" class="function">mcrypt_encrypt()</a></span> y
   <span class="function"><a href="function.mcrypt-decrypt.php" class="function">mcrypt_decrypt()</a></span> ahora lanzarán una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error fatal
   si mcrypt no puede ser inicializado.
  </p>
  
  <p class="para">
   En la extensión mysqli, el intento de leer una propiedad inválidad o escribir en
   una propiedad de solo lectura ahora lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span>
   en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión Reflection, el fallo al recuperar un objeto de reflexión o
   recuperar una propiedad de un objeto ahora lanzará una excepción
   <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión Session, los manejadores de sesiones propios que no devuelvan cadenas
   para los ID de sesción ahora lanzarán una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span>
   en lugar de resultar en un error fatal cuando una función sea invocada y deba
   generar un ID de sesión.
  </p>
  
  <p class="para">
   En la extensión SimpleXML, la creación de un atributo sin nombre o duplicado ahora
   lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en
   un error fatal.
  </p>
  
  <p class="para">
   En la extensión SPL, el intento de clonar un
   objeto <span class="classname"><strong class="classname">SplDirectory</strong></span> ahora lanzará una
   excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error
   fatal. De forma simiarl, invocar a <span class="methodname"><a href="arrayiterator.append.php" class="methodname">ArrayIterator::append()</a></span> cuando
   se recorre un objeto también lanzará una excepción
   <span class="classname"><a href="class.error.php" class="classname">Error</a></span>.
  </p>
  
  <p class="para">
   En la extensión estándar, la función <span class="function"><strong>assert()</strong></span>, al
   proporcionarle un argumento de cadena a su primer parámetro, ahora lanzará una
   excepción <span class="classname"><a href="class.parseerror.php" class="classname">ParseError</a></span> en lugar de resultar en un
   error fatal capturable si el código de PHP no es válido. De forma similar, invocar a
   <span class="function"><a href="function.forward-static-call.php" class="function">forward_static_call()</a></span> fuera del ámbito de una clase ahora también
   lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span>.
  </p>
  
  <p class="para">
   En la extensión Tidy, la creación manual de un objeto <span class="classname"><a href="class.tidynode.php" class="classname">tidyNode</a></span>
   ahora lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de
   resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión WDDX, una referencia circular al serializar ahora lanzará
   una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de resultar en un error
   fatal.
  </p>
  
  <p class="para">
   En la extensión XML-RPC, una referencia circular al serializar ahora lanzará
   una instancia de una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de
   resultar en un error fatal.
  </p>
  
  <p class="para">
   En la extensión Zip, el método <span class="methodname"><a href="ziparchive.addglob.php" class="methodname">ZipArchive::addGlob()</a></span>
   ahora lanzará una excepción <span class="classname"><a href="class.error.php" class="classname">Error</a></span> en lugar de
   resultar en un error fatal si el soporte para &#039;glob&#039; no está disponible.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.lexical-names">
  <h3 class="title">Las variables vinculadas léxicamente no pueden reutilizar nombres</h3>
  
  <p class="para">
   Las variables vinculadas a un <a href="functions.anonymous.php" class="link">cierre</a> mediante
   el constructor <code class="literal">use</code> no pueden utilizar el mismo nombre que cualquier
   <a href="language.variables.predefined.php" class="link">superglobals</a>, <var class="varname">$this</var>, o cualquier parámetro. Por
   ejemplo, todas estas definiciones de funciones resultarán en error fatal:
   
   <div class="informalexample">
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$f </span><span style="color: #007700">= function () use (</span><span style="color: #0000BB">$_SERVER</span><span style="color: #007700">) {};<br /></span><span style="color: #0000BB">$f </span><span style="color: #007700">= function () use (</span><span style="color: #0000BB">$this</span><span style="color: #007700">) {};<br /></span><span style="color: #0000BB">$f </span><span style="color: #007700">= function (</span><span style="color: #0000BB">$param</span><span style="color: #007700">) use (</span><span style="color: #0000BB">$param</span><span style="color: #007700">) {};</span></span></code></div>
    </div>

   </div>
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.long2ip">
  <h3 class="title">Cambio del tipo del parámetro de long2ip()</h3>
  <p class="para">
   <span class="function"><strong>long2ip()()</strong></span> ahora espera un <span class="type"><a href="language.types.integer.php" class="type int">int</a></span> en vez de un
   <span class="type"><a href="language.types.string.php" class="type string">string</a></span>.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.json">
  <h3 class="title">Codificación y decodificación de JSON</h3>
  <p class="para">
   El ajuste ini <code class="parameter">serialize_precision</code> ahora controla la
   precisión de serialización al codificar &#039;doubles&#039;.
  </p>
  <p class="para">
   La decodificación de una clave vacía ahora resulta en un nombre de propiedad vacío,
   en lugar de <code class="literal">_empty_</code> como nombre de propiedad.
   
   <div class="informalexample">
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">json_decode</span><span style="color: #007700">(</span><span style="color: #0000BB">json_encode</span><span style="color: #007700">([</span><span style="color: #DD0000">'' </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">])));</span></span></code></div>
    </div>

    <p class="para">El resultado del ejemplo
sería algo similar a:</p>
    <div class="example-contents screen">
<div class="cdata"><pre>
object(stdClass)#1 (1) {
  [&quot;&quot;]=&gt;
  int(1)
}
</pre></div>
    </div>
   </div>
  </p>
  <p class="para">
   Al proporcionar la bandera <strong><code><a href="json.constants.php#constant.json-unescaped-unicode">JSON_UNESCAPED_UNICODE</a></code></strong> a
   <span class="function"><a href="function.json-encode.php" class="function">json_encode()</a></span>, las secuencias U+2028 y U+2029 ahora son
   escapadas.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.mbstring">
  <h3 class="title">
   Cambios en la semántica de los parámetros de <span class="function"><a href="function.mb-ereg.php" class="function">mb_ereg()</a></span>
   y <span class="function"><a href="function.mb-eregi.php" class="function">mb_eregi()</a></span>
  </h3>
  <p class="para">
   El tercer parámetro de las funciones <span class="function"><a href="function.mb-ereg.php" class="function">mb_ereg()</a></span> y
   <span class="function"><a href="function.mb-eregi.php" class="function">mb_eregi()</a></span> (<code class="parameter">regs</code>) ahora será
   establecido a un array vacío si no hubieron coincidencias. Anteriormente, el
   parametro era modificado.
  </p>
 </div>
 
 <div class="sect2" id="migration71.incompatible.openssl">
  <h3 class="title">Eliminación del soporte para el flujo sslv2</h3>
  <p class="para">
   El flujo sslv2 se ha eliminado de OpenSSL.
  </p>
 </div>
</div><?php manual_footer($setup); ?>